Bug 106484 - UI: Print Properties Device tab dropdown items not applied or remembered
Summary: UI: Print Properties Device tab dropdown items not applied or remembered
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.0.0.5 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest, regression
Depends on:
Blocks: Printer-Settings Print-Dialog
  Show dependency treegraph
 
Reported: 2017-03-10 20:38 UTC by tmacalp
Modified: 2019-01-24 13:14 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tmacalp 2017-03-10 20:38:19 UTC
Description:
Attempting to change items at the bottom of the Print Properties Device tab, such as "Printer language type," "Color," or "Color depth" are completely ignored and remain unset after clicking OK.

I found this testing old bugs relating to PostScript vs PDF Mode printing.  It turns out that as of LO 5.0, this bug keeps these settings from being applied.

Steps to Reproduce:
1. New document/drawing/spreadsheet/etc...
2. File->Print
3. Click Properties
4. Select "Device" tab
5. Change "Printer language type" to something else
6. OK
7. Click Properties
8. Select "Device" tab again.

Actual Results:  
The Printer language type was never actually set, so it will return to its original value.  Printing after clicking OK will generate a print job that does not have the settings applied.

Expected Results:
The Printer language type should be set to whatever we changed it to, as it used to.  


Reproducible: Always

User Profile Reset: Yes, fresh profile.

Additional Info:
LibreOffice refuses to set any 3 of these drop-down items ("Printer language type," "Color," and "Color depth").  It's not that these items are applied but not remembered.  Attempting to set these items will affect the print job.  This could cause someone to accidentally print a huge job in color and potentially waste a lot of money.  Note that I believe there is a bug with pdf mode printing where attempting to change the print job to grayscale by using the Color dropdown will be ignored.  It only works under PostScript printing.

LibreOffice appears to honor the global setting for either PDF Mode or Postscript level from driver (Tools->Options->Print->PDF as standard print job format).

One workaround is that if an item is selected in the Device tab main list like Media Type (or whatever options your printer offers), the drop-down setting will then be applied/remembered.  My guess is there is problem with the logic for determining when a setting has been modified and will need to be saved/applied.

This affects LO 5.0.0+ but not 4.4.7.  I wasn't sure if this would fall under UI or Printing. 


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Xisco Faulí 2017-03-14 09:06:23 UTC
Confirmed in

Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8)

but not in

Version: 5.0.0.0.alpha1+
Build ID: 0db96caf0fcce09b87621c11b584a6d81cc7df86
Locale: ca-ES (ca_ES.UTF-8)
Comment 2 QA Administrators 2018-03-15 03:38:20 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2018-06-02 15:12:29 UTC
Still repro and this seems to be Linux-only as Windows offers the dialog of the printer driver itself.

Arch Linux 64-bit
Version: 6.2.0.0.alpha0+
Build ID: 8e63d451b2aeb646ece98c4e219f92957f4482bd
CPU threads: 8; OS: Linux 4.16; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group threaded
Built on June 1st 2018
Comment 4 Xisco Faulí 2019-01-24 13:14:20 UTC
Still reproducible with the new print dialog

Version: 6.3.0.0.alpha0+
Build ID: 0d46fb02f3f19d11db40b6c5335d78a3894502d7
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Daniel Silva, I thought you might be interested in this issue...